Bug 495253 - KMS/UMS:RV350 AR:Radeon 9600 no xvport (Cannot access BIOS or it is not valid)
KMS/UMS:RV350 AR:Radeon 9600 no xvport (Cannot access BIOS or it is not valid)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 15:08 EDT by Eddie Lania
Modified: 2011-04-12 08:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-12 08:20:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log with modeset (kms) (62.53 KB, text/plain)
2009-04-30 03:36 EDT, Eddie Lania
no flags Details
Xorg.log with nomodeset (90.42 KB, text/plain)
2009-04-30 03:37 EDT, Eddie Lania
no flags Details

  None (edit)
Description Eddie Lania 2009-04-10 15:08:27 EDT
Description of problem: Unable to view input from one of the connectors for composite or s-video when kms is enabled.


Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.6.0-19.fc11.i586
xorg-x11-drv-ati-6.12.1-10.fc11.i586


How reproducible: Start system without nomodeset



Steps to Reproduce:
1.
2.
3.
  
Actual results: No usable xvideo port:

In Xorg.log:

II) RADEON(0): Cannot access BIOS or it is not valid.
                If your card is TV-in capable you will need to specify options RageTheatreCrystal, RageTheatreTunerPort,
                RageTheatreSVideoPort and TunerType in /etc/X11/xorg.conf.
(!!) RADEON(0): For information on using the multimedia capabilities
        of this adapter, please see http://gatos.sf.net.

xawtv -hwscan
This is xawtv-3.95, running on Linux/i686 (2.6.29.1-54.fc11.i686.PAE)
looking for available devices
port 57-72
    type : Xvideo, image scaler
    name : Radeon Textured Video



Expected results: A usable xvideo port as when started with nomodeset.


Additional info:
Comment 1 Matěj Cepl 2009-04-29 18:28:19 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Eddie Lania 2009-04-30 03:36:53 EDT
Created attachment 341879 [details]
Xorg.log with modeset (kms)

I have no xorg.conf in /etc/X11. I will also attach Xorg.0.log without kms (nomodeset).
Comment 3 Eddie Lania 2009-04-30 03:37:24 EDT
Created attachment 341880 [details]
Xorg.log with nomodeset
Comment 4 Bug Zapper 2009-06-09 09:37:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Eddie Lania 2009-10-11 12:57:05 EDT
On F11 still having this bug. Will video-in be supported using kms in the nearby future? Or is it being dropped from the list of features?
Comment 6 Matěj Cepl 2009-11-05 13:26:02 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Eddie Lania 2009-11-26 11:43:14 EST
Upgraded to F12, still no video-in capabilities.
Comment 8 Dave Airlie 2009-11-29 15:58:21 EST
Its on the list but its not on the priority list, should really push this to upstream as a feature request so others can help decide.
Comment 9 Eddie Lania 2010-03-26 17:37:40 EDT
video-in capabilities were present in the old driver, i would like to have it back. So, can it be pushed upstream please? Isn't it possible to add code from the old driver back in?
Comment 10 Eddie Lania 2010-05-20 12:51:04 EDT
(In reply to comment #8)
> Its on the list but its not on the priority list, should really push this to
> upstream as a feature request so others can help decide.    

Has there been made a decision yet?
Comment 11 Vedran Miletić 2010-05-24 14:58:25 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 12 Eddie Lania 2010-05-30 05:09:28 EDT
I just upgraded from F12 to F13. In F13, there also is no xvport available for the video-in capabilities of the video board.

Note You need to log in before you can comment on or make changes to this bug.